%define pkg_name        Net-SSH-Perl
%define pkg_version     1.30
%define rpm_pkg_version 1.30
%define rpm_pkg_release 5.n0i.9

Summary:       Perl client Interface to SSH
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DB/DBROBINS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Convert::PEM) >= 0.05
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(Crypt::DH) >= 0.01
BuildRequires: perl(Crypt::DSA) >= 0.11
BuildRequires: perl(Crypt::IDEA)
BuildRequires: perl(Crypt::RSA) >= 1.37
BuildRequires: perl(Digest::BubbleBabble)
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA1) >= 2.10
BuildRequires: perl(IO::Socket)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::GMP) >= 1.04
BuildRequires: perl(Math::Pari) >= 2.001804
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::CRC32) >= 1.2

# assure all dependencies are satisfied
Requires: perl(Crypt::Blowfish)
Requires: perl(Digest::BubbleBabble)
Requires: perl(MIME::Base64)


%description
Net::SSH::Perl is an all-Perl module implementing an SSH (Secure Shell)
client. It is compatible with both the SSH-1 and SSH-2 protocols.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path eg/}

# choose all protocols and all cyphers
%{__perl} -pi -e '
	s/^(\s*my\s+\$p\s*=).+?;/$1 3;/m;
	s/^(\s*my\s+\$c\s*=).+?;/$1 "1 2 3 4 5";/m;
' Makefile.PL

# fix 03-packet.t test hang
%{__perl} -pi -e 's/255/25/' t/03-packet.t


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes eg/ LICENSE README ToDo


%changelog
* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 1.30-5.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- fixed 03-packet.t test hang
- forcing all dependencies to be satisfied

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 1.30-1.n0i.8
- version 1.30

* Wed Oct 12 2005 Marius Feraru <altblue@n0i.net> 1.29-1.n0i.7
- version 1.29

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 1.28-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- version 1.28

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.27-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Mon Feb 07 2005 Marius Feraru <altblue@n0i.net> 0:1.27-1.n0i.4
- version 1.27

* Sat Jan 22 2005 Marius Feraru <altblue@n0i.net> 0:1.26-1.n0i.3
- version 1.26

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.25-2.n0i.2
- automatic rebuild (perl 5.8.6)

* Fri Nov 19 2004 Marius Feraru <altblue@n0i.net> 0:1.25-1.n0i.1
- version 1.25
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101
